From: Saul Wold <sgw@linux.intel.com>
To: openembedded-core@lists.openembedded.org
Subject: [PATCH 1/2] udev-extraconf: Add -o silent to auto mount for mount.util-linux
Date: Sat, 13 Apr 2013 00:28:16 -0700 [thread overview]
Message-ID: <1365838096-11843-1-git-send-email-sgw@linux.intel.com> (raw)
This will silence some of the noisy output from mount.util-linux and the kernel
when trying to automount filesystems or devices. Busybox does not accept the silent
option, it uses a "loud" option instead.
[YOCTO #3935]
Signed-off-by: Saul Wold <sgw@linux.intel.com>
---
| 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--git a/meta/recipes-core/udev/udev-extraconf/mount.sh b/meta/recipes-core/udev/udev-extraconf/mount.sh
index 99c76b2..7b58361 100644
--- a/meta/recipes-core/udev/udev-extraconf/mount.sh
+++ b/meta/recipes-core/udev/udev-extraconf/mount.sh
@@ -22,7 +22,7 @@ automount() {
! test -d "/media/$name" && mkdir -p "/media/$name"
- if ! $MOUNT -t auto $DEVNAME "/media/$name"
+ if ! $MOUNT -o silent -t auto $DEVNAME "/media/$name"
then
#logger "mount.sh/automount" "$MOUNT -t auto $DEVNAME \"/media/$name\" failed!"
rm_dir "/media/$name"
--
1.8.0.2
next reply other threads:[~2013-04-13 7:46 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-04-13 7:28 Saul Wold [this message]
2013-04-13 10:26 ` [PATCH 1/2] udev-extraconf: Add -o silent to auto mount for mount.util-linux Richard Purdie
2013-04-13 13:23 ` Bernhard Reutner-Fischer
2013-04-13 16:55 ` Saul Wold
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1365838096-11843-1-git-send-email-sgw@linux.intel.com \
--to=sgw@linux.intel.com \
--cc=openembedded-core@lists.openembedded.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.